Package com.sun.jna.platform.win32

## Class Netapi32Util.UserInfo

- java.lang.Object
- - com.sun.jna.platform.win32.Netapi32Util.User
  - - com.sun.jna.platform.win32.Netapi32Util.UserInfo

- Enclosing class:
    Netapi32Util

      public static class Netapi32Util.UserInfo
      extends Netapi32Util.User

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `flags` | The flags of the user account
    `java.lang.String` | `fullName` | The full name belonging to the user account
    `WinNT.PSID` | `sid` | The SID of the user account
    `java.lang.String` | `sidString` | The SID of the user account

    - ### Fields inherited from class com.sun.jna.platform.win32.Netapi32Util.User

      `comment, name`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UserInfo()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fullName

          public java.lang.String fullName

      The full name belonging to the user account

    - #### sidString

          public java.lang.String sidString

      The SID of the user account

    - #### sid

          public WinNT.PSID sid

      The SID of the user account

    - #### flags

          public int flags

      The flags of the user account

  - ### Constructor Detail

    - #### UserInfo

          public UserInfo()